# Wfadatad module test

To run the wfadatad in docker environment, following modules should be running:

1. ubus daemon
2. wifimngr
3. ieee1905 daemon
4. topology daemon

Wfadatad is running in two modes.

## Data collection mode

In this mode, wfadatad is basically collecting the wifi dataelements from the local as well as neighbor node, it sends out the CMDU queries using the map.1905 plugin & that query is being forwarded/loop-backed  using ieee1905 stack to the neighbor/self device.

It can be run using command 'wfadatad -m' and it registers the 'wifi.dataelements.collector' ubus method.

## Data agent mode 

In this mode, wfadatad is basically responding the CMDU queries coming from wfadatad collector through map.1905 plugin.

It can be run using command 'wfadatad' and it registers the 'wifi.dataelements' ubus method.

## Test procedure

To test the wfadatad module in agent and collector mode.

Run wfadatad in agent mode, 

`wfadatad &`

It will collect the local node wifi data. This can be verified using 'ubus call wifi.dataelements dump'.



Run wfadatad in collector mode to collect the datalements from the local/neighbor devices,

`wfadatad -m &`

This can be verified using 'ubus call wifi.dataelements.collector dump'.